<div *ngIf="!confirm" class="row justify-content-center">
  <div class="col-lg-4 col-md-7 col-12" [formGroup]="formRegister">
    <div class="card shadow">
      <div class="card-body">
        <div class="mb-3">
          <div>
            <label class="col-form-label font-weight-bold">Name</label>
            <app-text-input [formControl]="$any(formRegister.controls.firstName)" type="text" label="firstName" placeholder="Enter the name"></app-text-input>
          </div>
          <div>
            <label class="col-form-label font-weight-bold">Surname</label>
            <app-text-input [formControl]="$any(formRegister.controls.surname)" type="text" label="surname" placeholder="Enter the surname"></app-text-input>
          </div>
          <div>
            <label class="col-form-label font-weight-bold">Patronimic</label>
            <app-text-input [formControl]="$any(formRegister.controls.patronimic)" type="text" label="patronimic" placeholder="Enter the patronimic"></app-text-input>
          </div>
          <div>
            <label class="col-form-label font-weight-bold">Email</label>
            <app-text-input [formControl]="$any(formRegister.controls.email)" type="text" label="email" placeholder="Enter the email"></app-text-input>
          </div>
          <div>
            <label class="col-form-label font-weight-bold">Login</label>
            <app-text-input [formControl]="$any(formRegister.controls.login)" type="text" label="login" placeholder="Enter the login"></app-text-input>
          </div>
          <div>
            <label class="col-form-label font-weight-bold">Password</label>
            <app-text-input [formControl]="$any(formRegister.controls.password)" type="password" label="password" placeholder="Enter the password"></app-text-input>
          </div>
        </div>
        <div class="text-end">
          <button class="success btn btn-success rounded-5" [disabled]="formRegister.invalid" (click)="register()">Submit</button>
        </div>
      </div>
    </div>
  </div>
</div>
